# typeface.py
# By Chris Proctor and _________

# Contains one function for each letter in the English alphabet. 
# Each function should draw its letter at a scale of `unit`, and then 
# return back to the same position and heading where it started. 

# Note: The `sqrt` function from math may be helpful--if you want to 
# move the turtle along the diagonal of a square with side length x, 
# the turtle should move a distance of sqrt(x)

from turtle import *
from math import sqrt

pensize(5)

def draw_letter_a(unit):

    penup()
    forward(unit*1)
    pendown()

    # 1st & 2nd stem sections of letter
    forward(unit*2)
    left(90)
    forward(unit*3)
    right(90)
    forward(unit*2)
    right(90)
    forward(unit*3)
    left(90)
    forward(unit*2)
    left(90)
    forward(unit*6.5)

    # 45 degree top section of letter
    left(45)
    forward(unit*2)
    left(45)
    forward(unit*3)
    left(45)
    forward(unit*2)
    left(45)

    #remander of left stem section of letter
    forward(unit*6.5)
    left(90)

    #interior cross bar section
    penup()
    left(90)
    forward(unit*4)
    right(90)
    forward(unit*2)
    pendown()
    forward(unit*2)
    left(90)
    forward(unit*1)
    left(45)
    forward(unit*1.5)
    left(90)
    forward(unit*1.5)
    left(45)
    forward(unit*1)

    #penup moving back to initial position
    penup()
    right(90)
    forward(unit*2)
    left(90)
    forward(unit*4)
    left(90)

def draw_letter_b(unit):
    pass

def draw_letter_c(unit):
    pass

def draw_letter_d(unit):
    pass

def draw_letter_e(unit):

    penup()
    forward(unit*1)
    pendown()

    #Base section
    forward(unit*7)
    left(90)
    forward(unit)


def draw_letter_f(unit):
    pass

def draw_letter_g(unit):
    pass

def draw_letter_h(unit):
    pass

def draw_letter_i(unit):

    # penup to move into position to draw
    penup()
    forward(unit*2)
    pendown()

    #Stem of letter "I"
    forward(unit*2)
    left(90)
    forward(unit*5)
    left(90)
    forward(unit*2)
    left(90)
    forward(unit*4)
    left(90)

def draw_letter_j(unit):
    pass

def draw_letter_k(unit):
    pass

def draw_letter_l(unit):
    pass

def draw_letter_m(unit):
    pass

def draw_letter_n(unit):
    pass

def draw_letter_o(unit):
    pass

def draw_letter_p(unit):
    pass

def draw_letter_q(unit):
    pass

def draw_letter_r(unit):
    pass

def draw_letter_s(unit):
    pass

def draw_letter_t(unit):
    pass

def draw_letter_u(unit):
    pass

def draw_letter_v(unit):
    pass

def draw_letter_w(unit):
    pass

def draw_letter_x(unit):
    pass

def draw_letter_y(unit):
    pass

def draw_letter_z(unit):
    pass
